Package org.postgresql.xml

# Class NullErrorHandler

java.lang.Object
org.postgresql.xml.NullErrorHandler

All Implemented Interfaces:
  `ErrorHandler`

public class NullErrorHandler extends Object implements ErrorHandler
Error handler that silently suppresses all errors.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NullErrorHandler`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`NullErrorHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(SAXParseException e)`
`void`
`fatalError(SAXParseException e)`
`void`
`warning(SAXParseException e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final NullErrorHandler INSTANCE

## Constructor Details

### NullErrorHandler

public NullErrorHandler()

## Method Details

### error

public void error(SAXParseException e)

Specified by:
  `error` in interface `ErrorHandler`

### fatalError

public void fatalError(SAXParseException e)

Specified by:
  `fatalError` in interface `ErrorHandler`

### warning

public void warning(SAXParseException e)

Specified by:
  `warning` in interface `ErrorHandler`